oracle.xml.pipeline.processes

## Class XSDValProcess

- java.lang.Object
- - oracle.xml.pipeline.controller.Process
  - - oracle.xml.pipeline.processes.XSDValProcess

All Implemented Interfaces:
  java.lang.Runnable, PipelineConstants, ErrorHandler

    public class XSDValProcess
    extends Process

Extends the pipeline Process class to validate an XML dom node against an xml schema using oracle.xml.parser.schema.XSDValidator. This is different from the DOMParserProcess which only validates an XML Document while the XSDValProcess will validate Document as well as DocumentFragment and Element. This takes a DOM as input while the DOMParserProcess takes an xml stream only. Its parameters are: Inputs - "xml" (dom) Params - "schemaObj" (Object) Outputs - "validatedxml" (dom) Outparams - none

### Field Summary

### Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants

`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

### Method Summary

### Methods inherited from class oracle.xml.pipeline.controller.Process

`convertFromDOM, convertFromSAX, convertFromStream, error, getErrorDocument, getErrorSource, getErrorStream, getErrorStream, getInParamValue, getInput, getOutParamValue, getOutput, getOutputStream, getOutputWriter, getSAXContentHandler, getSAXErrorHandler, info, setOutputResult`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Methods inherited from interface org.xml.sax.ErrorHandler

`error, fatalError, warning`

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.